#!/bin/bash

usage()
{
    echo "USAGE: `basename ${0}` <Local DB Directory> [mongod options]"
    exit(1);
}

privateAddrs=127.0.0.1,`/sbin/ifconfig|grep -E "addr:(10\.|172\.(1[6-9]|2[0-9]|3[01])\.|192\.168\.)"|awk '{print $2}'|sed 's/addr://g'|tr '\n' ','|sed 's/,$/$/'`
dbDirectory=$1
shift

if [ ! -d $dbDirectory ]; then
  usage
fi

$MONGODB_FQ_DIR/bin/mongod --db $dbDirectory --bind_ip $privateAddrs $@ >$dbDirectory/mongod.log 2>&1 &

exit 0;